Name:           scim-qtimm
Version:        0.9.4
Release:        5.1AX
Summary:        SCIM input method module for Qt

License:	GPL
Group:		System/Libraries
URL:		http://www.scim-im.org/projects/scim_qtimm
Source0:	%{name}-%{version}.tar.bz2
Source1:	xinput-scim-qt
#remove debug message
Patch1: 	scim-qtimm-0.9.4-ScimInputContextPlugin.patch
#remove WARNING message for console mode
Patch2: 	scim-qtimm-0.9.4-DefaultConfigModule.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	qt-devel, scim-devel
# brew mock doesn't assume gettext
BuildRequires:	gettext
Obsoletes:	iiimf-qt <= 1:12.2
# for xinput subdir
Requires:	scim >= 1.4.4-25.fc6
Requires:       qt >= 3.3.6

%description
SCIM input method module for Qt


%define _xinputdir %{_sysconfdir}/X11/xinit/xinput.d/aux


%prep
%setup -q
%patch1 -p1 
%patch2 -p1

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
%configure --disable-debug
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# install xinput config file.
mkdir -pm 755 ${RPM_BUILD_ROOT}/%{_xinputdir}
install -pm 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_xinputdir}/scim-qtimm

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_xinputdir}
%exclude %{_libdir}/qt-*/plugins/inputmethods/libqscim.la
%{_libdir}/qt-*/plugins/inputmethods/libqscim.so


%changelog
* Mon Feb 05 2007 Nam, Kwonwoo<hclee@haansoft.com> - 0.9.4-5.1AX
- patch1 : remove debug message
- patch2 : remove WARNING message for console mode

*  Mon Jul 24 2006 Jens Petersen <petersen@redhat.com> - 0.9.4-5
- move xinput script to a subdir

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.9.4-4.1
- rebuild

* Tue Jun  6 2006 Jens Petersen <petersen@redhat.com> - 0.9.4-4
- require qt 3.3.6 or later (#190145)
- buildrequire gettext to generate .gmo files (#194165)

* Wed Apr  5 2006 Jens Petersen <petersen@redhat.com> - 0.9.4-3
- add epoch to obsoletes

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.9.4-2.1.1
- bump again for double-long bug on ppc(64)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 14 2005 Jens Petersen <petersen@redhat.com> - 0.9.4-2
- add obsoletes iiimf-qt for upgrades (#173071)

* Wed Aug 17 2005 Jens Petersen <petersen@redhat.com> - 0.9.4-1
- update to 0.9.4

* Sat Aug  6 2005 Jens Petersen <petersen@redhat.com> - 0.9.3-1
- initial build for Fedora Core
- update summary and url
- add xinput.d script for scim one to source

* Fri Aug  5 2005 Warren Togami <wtogami@redhat.com>
- 0.9.3
- cleanup according to Fedora guidelines

* Thu Jul 17 2004 LiuCougar <liuspider@users.sourceforge.net> 0.5-0.r10.1
- update the version

* Thu Jul 15 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-0.r03.3
- spec for official scim-qtimm

* Mon Jul 12 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-0.r03.2ut
- fix URL
- remove Conflicts

* Tue Jul 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.1-0.r03.1mdk
- fix buildrequires
- initial spec for mdk (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
